# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.19

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Disable VCS-based implicit rules.
% : %,v


# Disable VCS-based implicit rules.
% : RCS/%


# Disable VCS-based implicit rules.
% : RCS/%,v


# Disable VCS-based implicit rules.
% : SCCS/s.%


# Disable VCS-based implicit rules.
% : s.%


.SUFFIXES: .hpux_make_needs_suffix_list


# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/abaddon/Downloads/tmp/LookingGlass/client

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/abaddon/Downloads/tmp/LookingGlass/client/build

#=============================================================================
# Directory level rules for the build root directory

# The main recursive "all" target.
all: CMakeFiles/looking-glass-client.dir/all
all: common/all
all: LGMP/all
all: PureSpice/all
all: renderers/all
all: clipboards/all
all: fonts/all
all: decoders/all

.PHONY : all

# The main recursive "preinstall" target.
preinstall: common/preinstall
preinstall: LGMP/preinstall
preinstall: PureSpice/preinstall
preinstall: renderers/preinstall
preinstall: clipboards/preinstall
preinstall: fonts/preinstall
preinstall: decoders/preinstall

.PHONY : preinstall

# The main recursive "clean" target.
clean: CMakeFiles/looking-glass-client.dir/clean
clean: common/clean
clean: LGMP/clean
clean: PureSpice/clean
clean: renderers/clean
clean: clipboards/clean
clean: fonts/clean
clean: decoders/clean

.PHONY : clean

#=============================================================================
# Directory level rules for directory LGMP

# Recursive "all" directory target.
LGMP/all: LGMP/CMakeFiles/lgmp.dir/all

.PHONY : LGMP/all

# Recursive "preinstall" directory target.
LGMP/preinstall:

.PHONY : LGMP/preinstall

# Recursive "clean" directory target.
LGMP/clean: LGMP/CMakeFiles/lgmp.dir/clean

.PHONY : LGMP/clean

#=============================================================================
# Directory level rules for directory PureSpice

# Recursive "all" directory target.
PureSpice/all: PureSpice/CMakeFiles/purespice.dir/all

.PHONY : PureSpice/all

# Recursive "preinstall" directory target.
PureSpice/preinstall:

.PHONY : PureSpice/preinstall

# Recursive "clean" directory target.
PureSpice/clean: PureSpice/CMakeFiles/purespice.dir/clean

.PHONY : PureSpice/clean

#=============================================================================
# Directory level rules for directory clipboards

# Recursive "all" directory target.
clipboards/all: clipboards/CMakeFiles/clipboards.dir/all
clipboards/all: clipboards/X11/all

.PHONY : clipboards/all

# Recursive "preinstall" directory target.
clipboards/preinstall: clipboards/X11/preinstall

.PHONY : clipboards/preinstall

# Recursive "clean" directory target.
clipboards/clean: clipboards/CMakeFiles/clipboards.dir/clean
clipboards/clean: clipboards/X11/clean

.PHONY : clipboards/clean

#=============================================================================
# Directory level rules for directory clipboards/X11

# Recursive "all" directory target.
clipboards/X11/all: clipboards/X11/CMakeFiles/clipboard_X11.dir/all

.PHONY : clipboards/X11/all

# Recursive "preinstall" directory target.
clipboards/X11/preinstall:

.PHONY : clipboards/X11/preinstall

# Recursive "clean" directory target.
clipboards/X11/clean: clipboards/X11/CMakeFiles/clipboard_X11.dir/clean

.PHONY : clipboards/X11/clean

#=============================================================================
# Directory level rules for directory common

# Recursive "all" directory target.
common/all: common/CMakeFiles/lg_common.dir/all
common/all: common/src/platform/all

.PHONY : common/all

# Recursive "preinstall" directory target.
common/preinstall: common/src/platform/preinstall

.PHONY : common/preinstall

# Recursive "clean" directory target.
common/clean: common/CMakeFiles/lg_common.dir/clean
common/clean: common/src/platform/clean

.PHONY : common/clean

#=============================================================================
# Directory level rules for directory common/src/platform

# Recursive "all" directory target.
common/src/platform/all: common/src/platform/linux/all

.PHONY : common/src/platform/all

# Recursive "preinstall" directory target.
common/src/platform/preinstall: common/src/platform/linux/preinstall

.PHONY : common/src/platform/preinstall

# Recursive "clean" directory target.
common/src/platform/clean: common/src/platform/linux/clean

.PHONY : common/src/platform/clean

#=============================================================================
# Directory level rules for directory common/src/platform/linux

# Recursive "all" directory target.
common/src/platform/linux/all: common/src/platform/linux/CMakeFiles/lg_common_platform_code.dir/all

.PHONY : common/src/platform/linux/all

# Recursive "preinstall" directory target.
common/src/platform/linux/preinstall:

.PHONY : common/src/platform/linux/preinstall

# Recursive "clean" directory target.
common/src/platform/linux/clean: common/src/platform/linux/CMakeFiles/lg_common_platform_code.dir/clean

.PHONY : common/src/platform/linux/clean

#=============================================================================
# Directory level rules for directory decoders

# Recursive "all" directory target.
decoders/all: decoders/CMakeFiles/decoders.dir/all

.PHONY : decoders/all

# Recursive "preinstall" directory target.
decoders/preinstall:

.PHONY : decoders/preinstall

# Recursive "clean" directory target.
decoders/clean: decoders/CMakeFiles/decoders.dir/clean

.PHONY : decoders/clean

#=============================================================================
# Directory level rules for directory fonts

# Recursive "all" directory target.
fonts/all: fonts/CMakeFiles/fonts.dir/all
fonts/all: fonts/SDL/all

.PHONY : fonts/all

# Recursive "preinstall" directory target.
fonts/preinstall: fonts/SDL/preinstall

.PHONY : fonts/preinstall

# Recursive "clean" directory target.
fonts/clean: fonts/CMakeFiles/fonts.dir/clean
fonts/clean: fonts/SDL/clean

.PHONY : fonts/clean

#=============================================================================
# Directory level rules for directory fonts/SDL

# Recursive "all" directory target.
fonts/SDL/all: fonts/SDL/CMakeFiles/font_SDL.dir/all

.PHONY : fonts/SDL/all

# Recursive "preinstall" directory target.
fonts/SDL/preinstall:

.PHONY : fonts/SDL/preinstall

# Recursive "clean" directory target.
fonts/SDL/clean: fonts/SDL/CMakeFiles/font_SDL.dir/clean

.PHONY : fonts/SDL/clean

#=============================================================================
# Directory level rules for directory renderers

# Recursive "all" directory target.
renderers/all: renderers/CMakeFiles/renderers.dir/all
renderers/all: renderers/EGL/all
renderers/all: renderers/OpenGL/all

.PHONY : renderers/all

# Recursive "preinstall" directory target.
renderers/preinstall: renderers/EGL/preinstall
renderers/preinstall: renderers/OpenGL/preinstall

.PHONY : renderers/preinstall

# Recursive "clean" directory target.
renderers/clean: renderers/CMakeFiles/renderers.dir/clean
renderers/clean: renderers/EGL/clean
renderers/clean: renderers/OpenGL/clean

.PHONY : renderers/clean

#=============================================================================
# Directory level rules for directory renderers/EGL

# Recursive "all" directory target.
renderers/EGL/all: renderers/EGL/CMakeFiles/renderer_EGL.dir/all

.PHONY : renderers/EGL/all

# Recursive "preinstall" directory target.
renderers/EGL/preinstall:

.PHONY : renderers/EGL/preinstall

# Recursive "clean" directory target.
renderers/EGL/clean: renderers/EGL/CMakeFiles/renderer_EGL.dir/clean

.PHONY : renderers/EGL/clean

#=============================================================================
# Directory level rules for directory renderers/OpenGL

# Recursive "all" directory target.
renderers/OpenGL/all: renderers/OpenGL/CMakeFiles/renderer_OpenGL.dir/all

.PHONY : renderers/OpenGL/all

# Recursive "preinstall" directory target.
renderers/OpenGL/preinstall:

.PHONY : renderers/OpenGL/preinstall

# Recursive "clean" directory target.
renderers/OpenGL/clean: renderers/OpenGL/CMakeFiles/renderer_OpenGL.dir/clean

.PHONY : renderers/OpenGL/clean

#=============================================================================
# Target rules for target CMakeFiles/looking-glass-client.dir

# All Build rule for target.
CMakeFiles/looking-glass-client.dir/all: common/CMakeFiles/lg_common.dir/all
CMakeFiles/looking-glass-client.dir/all: LGMP/CMakeFiles/lgmp.dir/all
CMakeFiles/looking-glass-client.dir/all: PureSpice/CMakeFiles/purespice.dir/all
CMakeFiles/looking-glass-client.dir/all: renderers/CMakeFiles/renderers.dir/all
CMakeFiles/looking-glass-client.dir/all: renderers/EGL/CMakeFiles/renderer_EGL.dir/all
CMakeFiles/looking-glass-client.dir/all: renderers/OpenGL/CMakeFiles/renderer_OpenGL.dir/all
CMakeFiles/looking-glass-client.dir/all: clipboards/CMakeFiles/clipboards.dir/all
CMakeFiles/looking-glass-client.dir/all: clipboards/X11/CMakeFiles/clipboard_X11.dir/all
CMakeFiles/looking-glass-client.dir/all: fonts/CMakeFiles/fonts.dir/all
CMakeFiles/looking-glass-client.dir/all: fonts/SDL/CMakeFiles/font_SDL.dir/all
CMakeFiles/looking-glass-client.dir/all: decoders/CMakeFiles/decoders.dir/all
	$(MAKE) $(MAKESILENT) -f CMakeFiles/looking-glass-client.dir/build.make CMakeFiles/looking-glass-client.dir/depend
	$(MAKE) $(MAKESILENT) -f CMakeFiles/looking-glass-client.dir/build.make CMakeFiles/looking-glass-client.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles --progress-num=29,30,31,32,33,34,35,36,37 "Built target looking-glass-client"
.PHONY : CMakeFiles/looking-glass-client.dir/all

# Build rule for subdir invocation for target.
CMakeFiles/looking-glass-client.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles 72
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 CMakeFiles/looking-glass-client.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles 0
.PHONY : CMakeFiles/looking-glass-client.dir/rule

# Convenience name for target.
looking-glass-client: CMakeFiles/looking-glass-client.dir/rule

.PHONY : looking-glass-client

# clean rule for target.
CMakeFiles/looking-glass-client.dir/clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/looking-glass-client.dir/build.make CMakeFiles/looking-glass-client.dir/clean
.PHONY : CMakeFiles/looking-glass-client.dir/clean

#=============================================================================
# Target rules for target common/CMakeFiles/lg_common.dir

# All Build rule for target.
common/CMakeFiles/lg_common.dir/all: common/src/platform/linux/CMakeFiles/lg_common_platform_code.dir/all
	$(MAKE) $(MAKESILENT) -f common/CMakeFiles/lg_common.dir/build.make common/CMakeFiles/lg_common.dir/depend
	$(MAKE) $(MAKESILENT) -f common/CMakeFiles/lg_common.dir/build.make common/CMakeFiles/lg_common.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles --progress-num=12,13,14,15,16,17 "Built target lg_common"
.PHONY : common/CMakeFiles/lg_common.dir/all

# Build rule for subdir invocation for target.
common/CMakeFiles/lg_common.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles 13
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 common/CMakeFiles/lg_common.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles 0
.PHONY : common/CMakeFiles/lg_common.dir/rule

# Convenience name for target.
lg_common: common/CMakeFiles/lg_common.dir/rule

.PHONY : lg_common

# clean rule for target.
common/CMakeFiles/lg_common.dir/clean:
	$(MAKE) $(MAKESILENT) -f common/CMakeFiles/lg_common.dir/build.make common/CMakeFiles/lg_common.dir/clean
.PHONY : common/CMakeFiles/lg_common.dir/clean

#=============================================================================
# Target rules for target common/src/platform/linux/CMakeFiles/lg_common_platform_code.dir

# All Build rule for target.
common/src/platform/linux/CMakeFiles/lg_common_platform_code.dir/all:
	$(MAKE) $(MAKESILENT) -f common/src/platform/linux/CMakeFiles/lg_common_platform_code.dir/build.make common/src/platform/linux/CMakeFiles/lg_common_platform_code.dir/depend
	$(MAKE) $(MAKESILENT) -f common/src/platform/linux/CMakeFiles/lg_common_platform_code.dir/build.make common/src/platform/linux/CMakeFiles/lg_common_platform_code.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles --progress-num=18,19,20,21,22,23,24 "Built target lg_common_platform_code"
.PHONY : common/src/platform/linux/CMakeFiles/lg_common_platform_code.dir/all

# Build rule for subdir invocation for target.
common/src/platform/linux/CMakeFiles/lg_common_platform_code.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles 7
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 common/src/platform/linux/CMakeFiles/lg_common_platform_code.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles 0
.PHONY : common/src/platform/linux/CMakeFiles/lg_common_platform_code.dir/rule

# Convenience name for target.
lg_common_platform_code: common/src/platform/linux/CMakeFiles/lg_common_platform_code.dir/rule

.PHONY : lg_common_platform_code

# clean rule for target.
common/src/platform/linux/CMakeFiles/lg_common_platform_code.dir/clean:
	$(MAKE) $(MAKESILENT) -f common/src/platform/linux/CMakeFiles/lg_common_platform_code.dir/build.make common/src/platform/linux/CMakeFiles/lg_common_platform_code.dir/clean
.PHONY : common/src/platform/linux/CMakeFiles/lg_common_platform_code.dir/clean

#=============================================================================
# Target rules for target LGMP/CMakeFiles/lgmp.dir

# All Build rule for target.
LGMP/CMakeFiles/lgmp.dir/all:
	$(MAKE) $(MAKESILENT) -f LGMP/CMakeFiles/lgmp.dir/build.make LGMP/CMakeFiles/lgmp.dir/depend
	$(MAKE) $(MAKESILENT) -f LGMP/CMakeFiles/lgmp.dir/build.make LGMP/CMakeFiles/lgmp.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles --progress-num=25,26,27,28 "Built target lgmp"
.PHONY : LGMP/CMakeFiles/lgmp.dir/all

# Build rule for subdir invocation for target.
LGMP/CMakeFiles/lgmp.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles 4
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 LGMP/CMakeFiles/lgmp.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles 0
.PHONY : LGMP/CMakeFiles/lgmp.dir/rule

# Convenience name for target.
lgmp: LGMP/CMakeFiles/lgmp.dir/rule

.PHONY : lgmp

# clean rule for target.
LGMP/CMakeFiles/lgmp.dir/clean:
	$(MAKE) $(MAKESILENT) -f LGMP/CMakeFiles/lgmp.dir/build.make LGMP/CMakeFiles/lgmp.dir/clean
.PHONY : LGMP/CMakeFiles/lgmp.dir/clean

#=============================================================================
# Target rules for target PureSpice/CMakeFiles/purespice.dir

# All Build rule for target.
PureSpice/CMakeFiles/purespice.dir/all:
	$(MAKE) $(MAKESILENT) -f PureSpice/CMakeFiles/purespice.dir/build.make PureSpice/CMakeFiles/purespice.dir/depend
	$(MAKE) $(MAKESILENT) -f PureSpice/CMakeFiles/purespice.dir/build.make PureSpice/CMakeFiles/purespice.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles --progress-num=38,39,40 "Built target purespice"
.PHONY : PureSpice/CMakeFiles/purespice.dir/all

# Build rule for subdir invocation for target.
PureSpice/CMakeFiles/purespice.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles 3
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 PureSpice/CMakeFiles/purespice.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles 0
.PHONY : PureSpice/CMakeFiles/purespice.dir/rule

# Convenience name for target.
purespice: PureSpice/CMakeFiles/purespice.dir/rule

.PHONY : purespice

# clean rule for target.
PureSpice/CMakeFiles/purespice.dir/clean:
	$(MAKE) $(MAKESILENT) -f PureSpice/CMakeFiles/purespice.dir/build.make PureSpice/CMakeFiles/purespice.dir/clean
.PHONY : PureSpice/CMakeFiles/purespice.dir/clean

#=============================================================================
# Target rules for target renderers/CMakeFiles/renderers.dir

# All Build rule for target.
renderers/CMakeFiles/renderers.dir/all: common/CMakeFiles/lg_common.dir/all
renderers/CMakeFiles/renderers.dir/all: renderers/EGL/CMakeFiles/renderer_EGL.dir/all
renderers/CMakeFiles/renderers.dir/all: renderers/OpenGL/CMakeFiles/renderer_OpenGL.dir/all
renderers/CMakeFiles/renderers.dir/all: fonts/CMakeFiles/fonts.dir/all
renderers/CMakeFiles/renderers.dir/all: fonts/SDL/CMakeFiles/font_SDL.dir/all
renderers/CMakeFiles/renderers.dir/all: decoders/CMakeFiles/decoders.dir/all
	$(MAKE) $(MAKESILENT) -f renderers/CMakeFiles/renderers.dir/build.make renderers/CMakeFiles/renderers.dir/depend
	$(MAKE) $(MAKESILENT) -f renderers/CMakeFiles/renderers.dir/build.make renderers/CMakeFiles/renderers.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles --progress-num=71,72 "Built target renderers"
.PHONY : renderers/CMakeFiles/renderers.dir/all

# Build rule for subdir invocation for target.
renderers/CMakeFiles/renderers.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles 52
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 renderers/CMakeFiles/renderers.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles 0
.PHONY : renderers/CMakeFiles/renderers.dir/rule

# Convenience name for target.
renderers: renderers/CMakeFiles/renderers.dir/rule

.PHONY : renderers

# clean rule for target.
renderers/CMakeFiles/renderers.dir/clean:
	$(MAKE) $(MAKESILENT) -f renderers/CMakeFiles/renderers.dir/build.make renderers/CMakeFiles/renderers.dir/clean
.PHONY : renderers/CMakeFiles/renderers.dir/clean

#=============================================================================
# Target rules for target renderers/EGL/CMakeFiles/renderer_EGL.dir

# All Build rule for target.
renderers/EGL/CMakeFiles/renderer_EGL.dir/all: common/CMakeFiles/lg_common.dir/all
renderers/EGL/CMakeFiles/renderer_EGL.dir/all: fonts/CMakeFiles/fonts.dir/all
renderers/EGL/CMakeFiles/renderer_EGL.dir/all: fonts/SDL/CMakeFiles/font_SDL.dir/all
	$(MAKE) $(MAKESILENT) -f renderers/EGL/CMakeFiles/renderer_EGL.dir/build.make renderers/EGL/CMakeFiles/renderer_EGL.dir/depend
	$(MAKE) $(MAKESILENT) -f renderers/EGL/CMakeFiles/renderer_EGL.dir/build.make renderers/EGL/CMakeFiles/renderer_EGL.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles --progress-num=41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68 "Built target renderer_EGL"
.PHONY : renderers/EGL/CMakeFiles/renderer_EGL.dir/all

# Build rule for subdir invocation for target.
renderers/EGL/CMakeFiles/renderer_EGL.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles 45
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 renderers/EGL/CMakeFiles/renderer_EGL.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles 0
.PHONY : renderers/EGL/CMakeFiles/renderer_EGL.dir/rule

# Convenience name for target.
renderer_EGL: renderers/EGL/CMakeFiles/renderer_EGL.dir/rule

.PHONY : renderer_EGL

# clean rule for target.
renderers/EGL/CMakeFiles/renderer_EGL.dir/clean:
	$(MAKE) $(MAKESILENT) -f renderers/EGL/CMakeFiles/renderer_EGL.dir/build.make renderers/EGL/CMakeFiles/renderer_EGL.dir/clean
.PHONY : renderers/EGL/CMakeFiles/renderer_EGL.dir/clean

#=============================================================================
# Target rules for target renderers/OpenGL/CMakeFiles/renderer_OpenGL.dir

# All Build rule for target.
renderers/OpenGL/CMakeFiles/renderer_OpenGL.dir/all: common/CMakeFiles/lg_common.dir/all
renderers/OpenGL/CMakeFiles/renderer_OpenGL.dir/all: fonts/CMakeFiles/fonts.dir/all
renderers/OpenGL/CMakeFiles/renderer_OpenGL.dir/all: fonts/SDL/CMakeFiles/font_SDL.dir/all
renderers/OpenGL/CMakeFiles/renderer_OpenGL.dir/all: decoders/CMakeFiles/decoders.dir/all
	$(MAKE) $(MAKESILENT) -f renderers/OpenGL/CMakeFiles/renderer_OpenGL.dir/build.make renderers/OpenGL/CMakeFiles/renderer_OpenGL.dir/depend
	$(MAKE) $(MAKESILENT) -f renderers/OpenGL/CMakeFiles/renderer_OpenGL.dir/build.make renderers/OpenGL/CMakeFiles/renderer_OpenGL.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles --progress-num=69,70 "Built target renderer_OpenGL"
.PHONY : renderers/OpenGL/CMakeFiles/renderer_OpenGL.dir/all

# Build rule for subdir invocation for target.
renderers/OpenGL/CMakeFiles/renderer_OpenGL.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles 22
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 renderers/OpenGL/CMakeFiles/renderer_OpenGL.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles 0
.PHONY : renderers/OpenGL/CMakeFiles/renderer_OpenGL.dir/rule

# Convenience name for target.
renderer_OpenGL: renderers/OpenGL/CMakeFiles/renderer_OpenGL.dir/rule

.PHONY : renderer_OpenGL

# clean rule for target.
renderers/OpenGL/CMakeFiles/renderer_OpenGL.dir/clean:
	$(MAKE) $(MAKESILENT) -f renderers/OpenGL/CMakeFiles/renderer_OpenGL.dir/build.make renderers/OpenGL/CMakeFiles/renderer_OpenGL.dir/clean
.PHONY : renderers/OpenGL/CMakeFiles/renderer_OpenGL.dir/clean

#=============================================================================
# Target rules for target clipboards/CMakeFiles/clipboards.dir

# All Build rule for target.
clipboards/CMakeFiles/clipboards.dir/all: common/CMakeFiles/lg_common.dir/all
clipboards/CMakeFiles/clipboards.dir/all: clipboards/X11/CMakeFiles/clipboard_X11.dir/all
	$(MAKE) $(MAKESILENT) -f clipboards/CMakeFiles/clipboards.dir/build.make clipboards/CMakeFiles/clipboards.dir/depend
	$(MAKE) $(MAKESILENT) -f clipboards/CMakeFiles/clipboards.dir/build.make clipboards/CMakeFiles/clipboards.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles --progress-num=3,4 "Built target clipboards"
.PHONY : clipboards/CMakeFiles/clipboards.dir/all

# Build rule for subdir invocation for target.
clipboards/CMakeFiles/clipboards.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles 17
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clipboards/CMakeFiles/clipboards.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles 0
.PHONY : clipboards/CMakeFiles/clipboards.dir/rule

# Convenience name for target.
clipboards: clipboards/CMakeFiles/clipboards.dir/rule

.PHONY : clipboards

# clean rule for target.
clipboards/CMakeFiles/clipboards.dir/clean:
	$(MAKE) $(MAKESILENT) -f clipboards/CMakeFiles/clipboards.dir/build.make clipboards/CMakeFiles/clipboards.dir/clean
.PHONY : clipboards/CMakeFiles/clipboards.dir/clean

#=============================================================================
# Target rules for target clipboards/X11/CMakeFiles/clipboard_X11.dir

# All Build rule for target.
clipboards/X11/CMakeFiles/clipboard_X11.dir/all: common/CMakeFiles/lg_common.dir/all
	$(MAKE) $(MAKESILENT) -f clipboards/X11/CMakeFiles/clipboard_X11.dir/build.make clipboards/X11/CMakeFiles/clipboard_X11.dir/depend
	$(MAKE) $(MAKESILENT) -f clipboards/X11/CMakeFiles/clipboard_X11.dir/build.make clipboards/X11/CMakeFiles/clipboard_X11.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles --progress-num=1,2 "Built target clipboard_X11"
.PHONY : clipboards/X11/CMakeFiles/clipboard_X11.dir/all

# Build rule for subdir invocation for target.
clipboards/X11/CMakeFiles/clipboard_X11.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles 15
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clipboards/X11/CMakeFiles/clipboard_X11.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles 0
.PHONY : clipboards/X11/CMakeFiles/clipboard_X11.dir/rule

# Convenience name for target.
clipboard_X11: clipboards/X11/CMakeFiles/clipboard_X11.dir/rule

.PHONY : clipboard_X11

# clean rule for target.
clipboards/X11/CMakeFiles/clipboard_X11.dir/clean:
	$(MAKE) $(MAKESILENT) -f clipboards/X11/CMakeFiles/clipboard_X11.dir/build.make clipboards/X11/CMakeFiles/clipboard_X11.dir/clean
.PHONY : clipboards/X11/CMakeFiles/clipboard_X11.dir/clean

#=============================================================================
# Target rules for target fonts/CMakeFiles/fonts.dir

# All Build rule for target.
fonts/CMakeFiles/fonts.dir/all: common/CMakeFiles/lg_common.dir/all
fonts/CMakeFiles/fonts.dir/all: fonts/SDL/CMakeFiles/font_SDL.dir/all
	$(MAKE) $(MAKESILENT) -f fonts/CMakeFiles/fonts.dir/build.make fonts/CMakeFiles/fonts.dir/depend
	$(MAKE) $(MAKESILENT) -f fonts/CMakeFiles/fonts.dir/build.make fonts/CMakeFiles/fonts.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles --progress-num=10,11 "Built target fonts"
.PHONY : fonts/CMakeFiles/fonts.dir/all

# Build rule for subdir invocation for target.
fonts/CMakeFiles/fonts.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles 17
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 fonts/CMakeFiles/fonts.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles 0
.PHONY : fonts/CMakeFiles/fonts.dir/rule

# Convenience name for target.
fonts: fonts/CMakeFiles/fonts.dir/rule

.PHONY : fonts

# clean rule for target.
fonts/CMakeFiles/fonts.dir/clean:
	$(MAKE) $(MAKESILENT) -f fonts/CMakeFiles/fonts.dir/build.make fonts/CMakeFiles/fonts.dir/clean
.PHONY : fonts/CMakeFiles/fonts.dir/clean

#=============================================================================
# Target rules for target fonts/SDL/CMakeFiles/font_SDL.dir

# All Build rule for target.
fonts/SDL/CMakeFiles/font_SDL.dir/all: common/CMakeFiles/lg_common.dir/all
	$(MAKE) $(MAKESILENT) -f fonts/SDL/CMakeFiles/font_SDL.dir/build.make fonts/SDL/CMakeFiles/font_SDL.dir/depend
	$(MAKE) $(MAKESILENT) -f fonts/SDL/CMakeFiles/font_SDL.dir/build.make fonts/SDL/CMakeFiles/font_SDL.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles --progress-num=8,9 "Built target font_SDL"
.PHONY : fonts/SDL/CMakeFiles/font_SDL.dir/all

# Build rule for subdir invocation for target.
fonts/SDL/CMakeFiles/font_SDL.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles 15
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 fonts/SDL/CMakeFiles/font_SDL.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles 0
.PHONY : fonts/SDL/CMakeFiles/font_SDL.dir/rule

# Convenience name for target.
font_SDL: fonts/SDL/CMakeFiles/font_SDL.dir/rule

.PHONY : font_SDL

# clean rule for target.
fonts/SDL/CMakeFiles/font_SDL.dir/clean:
	$(MAKE) $(MAKESILENT) -f fonts/SDL/CMakeFiles/font_SDL.dir/build.make fonts/SDL/CMakeFiles/font_SDL.dir/clean
.PHONY : fonts/SDL/CMakeFiles/font_SDL.dir/clean

#=============================================================================
# Target rules for target decoders/CMakeFiles/decoders.dir

# All Build rule for target.
decoders/CMakeFiles/decoders.dir/all: common/CMakeFiles/lg_common.dir/all
	$(MAKE) $(MAKESILENT) -f decoders/CMakeFiles/decoders.dir/build.make decoders/CMakeFiles/decoders.dir/depend
	$(MAKE) $(MAKESILENT) -f decoders/CMakeFiles/decoders.dir/build.make decoders/CMakeFiles/decoders.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --progress-dir=/home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles --progress-num=5,6,7 "Built target decoders"
.PHONY : decoders/CMakeFiles/decoders.dir/all

# Build rule for subdir invocation for target.
decoders/CMakeFiles/decoders.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles 16
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 decoders/CMakeFiles/decoders.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/abaddon/Downloads/tmp/LookingGlass/client/build/CMakeFiles 0
.PHONY : decoders/CMakeFiles/decoders.dir/rule

# Convenience name for target.
decoders: decoders/CMakeFiles/decoders.dir/rule

.PHONY : decoders

# clean rule for target.
decoders/CMakeFiles/decoders.dir/clean:
	$(MAKE) $(MAKESILENT) -f decoders/CMakeFiles/decoders.dir/build.make decoders/CMakeFiles/decoders.dir/clean
.PHONY : decoders/CMakeFiles/decoders.dir/clean

#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

